Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1975 - sendmail.cf broken during build
Summary: sendmail.cf broken during build
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: sendmail
Version: 1.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-04 07:28 UTC by Jay Freeman
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-05 15:19:18 UTC


Attachments (Terms of Use)

Description Jay Freeman 1999-04-04 07:28:34 UTC
The sendmail distribution contains the the following line in
cf/cf/redhat.mc:

FEATURE(virtusertable',` -o /etc/mail/virtusertable')
       ^^
:which needs a ` here.  This causes the resulting file to be
usable, but missing virtusertable functionality, as well as
a few other things that the file contains that get left out
after the parsing error.

Comment 1 Jay Freeman 1999-04-04 16:37:59 UTC
After working with the server I believe this line must further be
changed to:
FEATURE(`virtusertable', `hash -o /etc/mail/virtusers')
                          ^^^^
so that sendmail knows what class the virtusers map is, not having
this keeps the server from starting.

Comment 2 Cristian Gafton 1999-04-05 15:19:59 UTC
Fixed in 8.9.3-8


Note You need to log in before you can comment on or make changes to this bug.